Skip to main content
`Ctrl`+`K`

# PetscHMapIGetWithDefault

Get the value for a key in the hash table but override the default value returned if the key was not found

## Synopsis

    #include <petsc/private/hashmapi.h>
    PetscErrorCode PetscHMapIGetWithDefault(PetscHMapI ht, PetscInt key, PetscInt default_val, PetscInt *val)

## Input Parameters

- ht - The hash table

- key - The key

- default_val - The default value to set `val` to if `key` was not found

## Output Parameter

- val - The value

## See Also

`PetscHMapIGet()`, `PetscHMapISet()`, `PetscHMapISetWithMode()`, `PetscHMapIIterGet()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

## Examples

src/sys/tutorials/ex7.c

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages